# Modelowanie języka 2024

Tutaj znajdują się informacje dotyczące wykładu i ćwiczeń z
„Modelowania języka”, zajęć prowadzonych przez prof. UAM dr. hab.
Filip Gralińskiego i dr. Pawła Skórzewskiego.

**Uwaga** Informacje podane w plikach w podkatalogach `wyk/` i `cw/`
nie muszą być aktualne (częściowo są to materiały przeniesione z poprzedniego
roku). W szczególności proszę nie wykonywać żadnych zadań z materiałów
ćwiczeniowych, chyba że wyraźnie wskazano je tutaj lub pojawiły się
jako zadanie na platformie Teams.

## Podział materiału

Materiał — zarówno na wykładzie, jak i na ćwiczeniach — podzielony jest
na trzy, mniej więcej równe objętością, działy:

1. Podstawy modelowania języka.
2. Neuronowe modele języka (bez sieci Transformer).
3. Sieci Transformer.

## Zasady zaliczenia wykładu

Wykład kończy się egzaminem.

## Zasady zaliczenia ćwiczeń

Zaliczenia z ćwiczeń uzyskujemy przez zdobywanie punktów za zadania i
projekty. Zasadniczo punkty zdobywamy poprzez wykonywanie zadań na
bieżąco na ćwiczeniach lub najpóźniej do kolejnych zajęć. Dodatkowo
będzie też możliwość zdobywania punktów poprzez wykonywanie projektów.

Na ogół na każdych ćwiczeniach jest do zdobycia 40 punktów, z czego
zazwyczaj 20 punktów będzie do zdobycia za wykonanie części zadania od
razu w trakcie zajęć.

Przelicznik punktów na ocenę:

* -299 — 2
* 300-349 — 3
* 350-399 — 3+
* 400-449 — 4
* 450-499 — 4+
* 500- — 5

Dodatkowo przyjmuje się następujące ograniczenie: za każdy dział
liczymy maksymalnie 200 punktów.

Technicznie rozwiązania zadań zgłaszamy na platformie Moodle lub na platformie Gonito.
